permissions apiKey | Resource | Description |
|---|---|
| Typifications | Access to customer typifications |
| Static content | Static content (typification forms, campaigns, reasons) served from the CMS |
permissions apiKey | Resource | Description |
|---|---|
| Typifications | Access to customer typifications |
| Static content | Static content (typification forms, campaigns, reasons) served from the CMS |
Requires a role granting the permission customers.customers.typifications.list
(e.g. customers.tipifications.viewer or customers.typifications.editor). Request the
role to the mas-customers team.
PATH PARAMETERS
organization name
customer identifier
OK successful operation
{
"typifications": [
{
"id": "string",
"created_at": "2022-01-01T01:01:01Z",
"channel": "agents",
"tenant": "masmovil",
"area": "RETENCION",
"user_id": "string",
"msisdn": "612789456",
"campaign": "string",
"reason": "string",
"subreason1": "string",
"subreason2": "string",
"result": "string",
"subresult": "string",
"conversation_id": "string",
"operator": "string",
"description": "string",
"initial_fee": 0
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
typifications | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid customer supplied
{
"code": 0,
"status": 0,
"message": "string",
"detailMsg": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer (int32) | |||
status | integer (int32) | |||
message | string | |||
detailMsg | string |
Unauthorized Unauthorized
Forbidden Forbidden. The caller roles do not grant the required permission.
Internal Server Error Internal Server Error
{
"code": 0,
"status": 0,
"message": "string",
"detailMsg": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer (int32) | |||
status | integer (int32) | |||
message | string | |||
detailMsg | string |
curl -X GET 'https://typifications.sta.masstack.com/v1/orgs/telco/customers/214748364/typifications' \
-H 'Accept: application/json' Requires a role granting the permission customers.customers.typifications.create
(e.g. customers.typifications.editor). Request the role to the mas-customers team.
PATH PARAMETERS
organization name
customer identifier
typification parameters
{
"channel": "agents",
"user_id": "string",
"msisdn": "string",
"conversation_id": "string",
"operator": "string",
"campaign": "string",
"reason": "string",
"subreason1": "string",
"subreason2": "string",
"result": "string",
"subresult": "string",
"description": "string",
"initial_fee": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
channel
*
| string | Channel where the typification was performed | ||
user_id
*
| string | User performing the typification. It takes an email format | ||
msisdn
*
| string | Phone number related to the typification | pattern: ^[6-9][0-9]{8}$ | |
conversation_id | string | Conversation identifier related to the typification | ||
operator | string | Operator related to the typification | ||
campaign
*
| string | Campaign related to the typification | ||
reason
*
| string | Typification reason | ||
subreason1 | string | Typification subreason1 | ||
subreason2 | string | Typification subreason2 | ||
result | string | Typification result | ||
subresult | string | Typification subresult | ||
description | string | Typification description | ||
initial_fee | number (float) |
Created Typification created successfully. No content to return.
Bad Request Parameters values not allowed or incorrect
{
"code": 0,
"status": 0,
"message": "string",
"detailMsg": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer (int32) | |||
status | integer (int32) | |||
message | string | |||
detailMsg | string |
Unauthorized Unauthorized
Forbidden Forbidden. The caller roles do not grant the required permission.
Internal Server Error Internal Server Error
{
"code": 0,
"status": 0,
"message": "string",
"detailMsg": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | integer (int32) | |||
status | integer (int32) | |||
message | string | |||
detailMsg | string |
curl -X POST 'https://typifications.sta.masstack.com/v1/orgs/telco/customers/214748364/typifications' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"channel": "agents",
"user_id": "string",
"msisdn": "string",
"conversation_id": "string",
"operator": "string",
"campaign": "string",
"reason": "string",
"subreason1": "string",
"subreason2": "string",
"result": "string",
"subresult": "string",
"description": "string",
"initial_fee": 0
}' Returns the entries of the given content type with their linked references resolved. Responses are cached server-side.
Any query parameter other than spaceName and locale is forwarded to the CMS as a field
filter (fields.<name>=<value>); area is the usual one.
Requires a role granting the permission customers.typificationsStaticContent.list.
Request the role to the mas-customers team.
PATH PARAMETERS
Content type to retrieve
QUERY PARAMETERS
CMS space name. Uses the default space when omitted.
Filters the entries by the `area` field
Content locale
OK successful operation
[
{}
] Unauthorized Unauthorized
Forbidden Forbidden. The caller roles do not grant the required permission.
Not Found Content not found
{
"message": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
status | integer |
Internal Server Error Internal Server Error
{
"message": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
status | integer |
curl -X GET 'https://typifications.sta.masstack.com/v1/static-content/contentful/typificationIframeOperator?spaceName=cvm&area=RS_RET_Portabilidad%202&locale=en-US' \
-H 'Accept: application/json'